- [HTTP request](https://developers.google.com/health/reference/rest/v4/users/getProfile#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/users/getProfile#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/users/getProfile#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/users/getProfile#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/users/getProfile#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4/users/getProfile#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/users/getProfile#try-it)

Returns user Profile details.

### HTTP request

`GET https://health.googleapis.com/v4/{name=users/*/profile}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the Profile. Format: `users/me/profile`. It takes the form `users/{user}/profile`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/v4/Profile`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/googlehealth.profile.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).